curl --request PUT \
--url https://api.interchange.io/api/v2/buyer/billing/info \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contactName": "<string>",
"email": [
"jsmith@example.com"
],
"ccEmails": [
"jsmith@example.com"
],
"phone": "<string>",
"address": "<string>",
"address2": "<string>",
"city": "<string>",
"region": "<string>",
"postalCode": "<string>",
"countryAlpha2": "US",
"taxId": "<string>"
}
'import requests
url = "https://api.interchange.io/api/v2/buyer/billing/info"
payload = {
"contactName": "<string>",
"email": ["jsmith@example.com"],
"ccEmails": ["jsmith@example.com"],
"phone": "<string>",
"address": "<string>",
"address2": "<string>",
"city": "<string>",
"region": "<string>",
"postalCode": "<string>",
"countryAlpha2": "US",
"taxId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contactName: '<string>',
email: ['jsmith@example.com'],
ccEmails: ['jsmith@example.com'],
phone: '<string>',
address: '<string>',
address2: '<string>',
city: '<string>',
region: '<string>',
postalCode: '<string>',
countryAlpha2: 'US',
taxId: '<string>'
})
};
fetch('https://api.interchange.io/api/v2/buyer/billing/info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"billingInfo": {
"contactName": "<string>",
"email": [
"<string>"
],
"ccEmails": [
"<string>"
],
"phone": "<string>",
"address": "<string>",
"address2": "<string>",
"city": "<string>",
"region": "<string>",
"postalCode": "<string>",
"countryAlpha2": "<string>",
"taxId": "<string>"
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Update billing information (admin)
Update the billing information Scope3 issues invoices to. At minimum, a payer name and billing address are needed to issue an invoice. Admin-only.
curl --request PUT \
--url https://api.interchange.io/api/v2/buyer/billing/info \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contactName": "<string>",
"email": [
"jsmith@example.com"
],
"ccEmails": [
"jsmith@example.com"
],
"phone": "<string>",
"address": "<string>",
"address2": "<string>",
"city": "<string>",
"region": "<string>",
"postalCode": "<string>",
"countryAlpha2": "US",
"taxId": "<string>"
}
'import requests
url = "https://api.interchange.io/api/v2/buyer/billing/info"
payload = {
"contactName": "<string>",
"email": ["jsmith@example.com"],
"ccEmails": ["jsmith@example.com"],
"phone": "<string>",
"address": "<string>",
"address2": "<string>",
"city": "<string>",
"region": "<string>",
"postalCode": "<string>",
"countryAlpha2": "US",
"taxId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contactName: '<string>',
email: ['jsmith@example.com'],
ccEmails: ['jsmith@example.com'],
phone: '<string>',
address: '<string>',
address2: '<string>',
city: '<string>',
region: '<string>',
postalCode: '<string>',
countryAlpha2: 'US',
taxId: '<string>'
})
};
fetch('https://api.interchange.io/api/v2/buyer/billing/info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"billingInfo": {
"contactName": "<string>",
"email": [
"<string>"
],
"ccEmails": [
"<string>"
],
"phone": "<string>",
"address": "<string>",
"address2": "<string>",
"city": "<string>",
"region": "<string>",
"postalCode": "<string>",
"countryAlpha2": "<string>",
"taxId": "<string>"
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Body
Request body for updating billing (payer) information. Provide at least one field; an omitted field is left unchanged, an explicit null clears it.
Billing contact / payer name
1 - 255Email addresses invoices are sent to
10^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Email addresses CC’d on invoices
10^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Billing phone number
64Billing street address, line 1
255Billing street address, line 2
255Billing city
128Billing state/province/region
128Billing postal/ZIP code
32Billing country (ISO 3166-1 alpha-2)
^[A-Z]{2}$"US"
Tax/VAT identifier shown on invoices
64Response
Update billing information (admin)
Billing (payer) information for the authenticated customer, used on manually issued invoices.
Show child attributes
Show child attributes